<?php
// check if there is global variable
$isLocal    = 1;
$isDownload = 0;
$isPathweb  = 0;
$isAlpha	= 0;

if (!strcmp(getenv("REQUEST_METHOD"),"GET")) {
	$isLocal    = 0;
	$isDownload = 1;
	$isPathweb  = 1;
}

?>

<html>
<head>
<title>Menu</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<script type="text/Javascript" src="includes/web_integration.js"></script>

<!-- Partie commune au site WEB -->
<?php if ($isLocal == 0) { ?>
<?php } ?>
<!-- Fin Partie commune au site WEB -->

<script language="JavaScript">

function IsLocalFile()
{
	var vURL;
	var	theDoc = document;

	if (!document.referrer) {
		vURL = theDoc.location.href;
	} else {
		vURL = theDoc.referrer;
	}


	if ( vURL.indexOf("file:/") >= 0) {
		return true;
	}

	return false;
}

function InitPage()
{
	if (IsLocalFile() == true) {
		if (document.getElementById) {
			divobj = document.getElementById('mxm_main');
			if (divobj) {
				divobj.style.position	= "absolute";
				divobj.style.top		= 80;
			}
			divobj = document.getElementById('mxmmenu_header');
			if (divobj) {
				divobj.style.display = "inline";
			}
		}
	} else {
		if (document.getElementById) {
			divobj = document.getElementById('mxm_main');
			if (divobj) {
//				divobj.style.position	= "relative";
				divobj.style.top		= getMainPageTop();
			}

			divobj = document.getElementById('webmenu_header');
			if (divobj) {
				divobj.style.visibility = "visible";
			}
		}
	}
}

</script>

</head>
<?php include_once("includes/functions.php"); ?>

<?php

if ($isLocal == 0) {
	if ((isset($_GET['download'])) && ($_GET['download'] == 0)) {
		$isDownload = 0;
	}
	if ((isset($_GET['alpha'])) && ($_GET['alpha'] == 1)) {
		$isAlpha = 1;
	}
	if ((isset($_GET['pathweb'])) && ($_GET['pathweb'] == 0)) {
		$isPathweb = 0;
	}
}
else {
	$isDownload = GetDownloadParam($argv,$argc);
	$isAlpha    = GetAlphaParam($argv,$argc);
	$isPathweb  = GetPathwebParam($argv,$argc);
}
?>

<!-- Conditionnally include web menu -->
<?php if ($isLocal == 0) { ?>
	<script language="JavaScript">
		 includeWEB('../../');
	</script>
	<!-- End Conditionnally include web menu -->

	<!-- Conditionnally include css -->
	<link rel="stylesheet" href="styles/med_web.css" type="text/css">
	</script>

<?php } else { ?>
 	<link rel="stylesheet" href="../styles/mxm2.css" type="text/css">
	<link rel="stylesheet" href="styles/mxm2.css" type="text/css">
<?php } ?>
<!-- End Conditionnally include web menu -->


<body onLoad="javascript:InitPage();" >
<div id="body_main">
	<!-- Partie commune au site WEB -->
	<?php if ($isLocal == 0) { ?>
		<script language="JavaScript">
			insertWEBMenu('../../', 'mxmsmenu');
		</script>
	<?php } ?>
	<!-- Fin Partie commune au site WEB -->

	<div class="In_Body">
	<table cellspacing=0 cellpadding=0 width=800 border=0 align="center">
	<tr><td>

	<div id="mxmmenu_header" style="display:none;">
		<div class="mxmmenu_logo"><img border="0" src="menu_files/logo_medialon.jpg"></div>
		<div class="mxmmenu_bottom_border"></div>
	</div>

	<div id="mxm_main">

		<?php if ($isLocal == 1) { ?>
			<div class="mxmmaintitle">Medialon MXMs' Help</div>
		<?php } else { ?>
			<div class="mxmmaintitle">Medialon MXMs' Help</div>
		<?php } ?>

		<div class="mxm_intro">
		<p>Medialon Products such as Medialon Manager, Medialon Showmaster, use plug-in drivers called MXM (Medialon XObject Modules) to control devices. It exists a wide range of MXMs for most popular devices on the market connected through Serial, Midi, Time Code*, Infrared*, Modbus*, OPC*, TCP/IP etc. Medialon Products also include a powerful tool to write your own drivers in Serial, TCP/IP, UDP and MIDI. These drivers can be shared on medialon.com with other Medialon users.<br>(*) These protocols are not supported by all products.</p>
		<p>Independently from the plug-in drivers, Medialon Products use a resource to physically connect to the device. This resource can be a Windows serial or relay card, a Windows over IP serial converter, and since version 5 any other hardware such as AMX NetLinx, Artistic Licence Artnet, Windows PC resources, Global Cach, etc. Showmaster products come with their own resources (embedded resources) such as Serial ports, MIDI ports, I/O ports and DMX ports.</p>
		<p>Medialon Manager includes also MXMs plug-ins to add functionalities or control the new type of devices encountered in modern AV / IT installations: SQL Database for data management, FTP Site for media management and transfer, Email engine, Telephony engine to build up a DTMF server, etc. Medialon Manager really brings the power of AV/IT to Show and Media Control.</p>
		<p>Please, refer to Medialon General User's Guide for more detail on MXMs and MRCs.</p>

		<?php
			// En local inserer l'info OEM
			if ( ($isLocal == 1) && file_exists("oem.htms") ) {
				$oem_content = file("oem.htms");

				if (isset($oem_content)) {
					foreach($oem_content as $line)
						echo $line;
				}
			}
		?>

		</div>
		<p>
		<?php if ($isLocal == 1) { ?>
			<a href="menu_a.htm">> MXMs sorted by Names</a>&nbsp;|
			<a href="menu_c.htm">> MXMs sorted by Categories</a>
		<?php } else { ?>
		<a href="menu.php?alpha=1">> MXMs sorted by Name</a>&nbsp;|
		<a href="menu.php?alpha=0">> MXMs sorted by Categories</a>&nbsp;|
		<a href="runtimes_mxm/mxm_runtimes.htm">> MXMs' Runtimes</a>
		<?php } ?>
		</p>

		<?php
		// echo "isLocal : $isLocal ; isDownload : $isDownload ; isAlpha : $isAlpha ; isPathweb : $isPathweb";
		$rep=opendir('.');
		$tab_infofile = array();
		$tab_htmfile  = array();
		$tab_MOD  	  = array();
		$iMOD		  = 0;

		$bAuMoinsUnRepertoire = false;
		$i = 0;
		clearstatcache();

		while ($file = readdir($rep)) {
			if ($file != '..' && $file !='.' && $file !=''){
				if ($isPathweb==0)
				{
					if (is_file($file) && (strcmp(substr($file,0,3),"mxm")==0))
					{
						if (GetExtension($file) == "htm") {
							//echo "<br>HTM file : $file";
							$tab_htmfile[$i] = $file;
							$infofile = GetRoot($file).".info";
							if (file_exists($infofile))
								$tab_infofile[$i] = $infofile;
							else
								$tab_infofile[$i] = "EMPTY";
							$i++;
						}
					}
				}
				else if ($isPathweb==1)
				{
					if ( is_dir($file) && (strcmp(substr(GetRoot($file),0,3),"mxm")==0) )
					{
						$rep2 = opendir($file);

						while ($file2 = readdir($rep2)) {
							// echo "Dir($file) -> $file2<br>";
							if ($file2 != '..' && $file2 !='.' && $file2 !='') {

								if (is_dir($file2) == FALSE && (strcmp(substr(GetRoot($file2),0,3), "mxm")==0))
								{
									if (GetExtension($file2) == "htm") {
										$tab_htmfile[$i] = $file2;
									} else if (GetExtension($file2) == "info") {
										$tab_infofile[$i] = $file2;
									}

								//	break;
								}

							}
						}
						if (isset($tab_infofile[$i]) == FALSE) $tab_infofile[$i] = "EMPTY";
						if (isset($tab_htmlfile[$i]) == FALSE) $tab_htmlfile[$i] = "EMPTY";
						$i++;
					}
				}
			}
		}

		?>

		<?php
		if (count($tab_infofile) == 0) {
			// echo "<br> Pas de Info trouv";
		}

		if (count($tab_htmfile) == 0) {
			// echo "<br> Pas de Htm trouv";
		}
		if ( (count($tab_htmfile) == 0) && (count($tab_infofile) == 0)) {
			// echo "<br> Pas de fichier trouv";
		?>

		</BODY></HTML>
		<?php
			return;
		}

		// array for all type of mxm
		$typeSort = array();
		$tab_MOD = array();

		//echo "<br>No info file";
		while (list($cle, $val) = each($tab_htmfile))
		{

			$val_root = GetRoot($val);
			// echo $val_root."<br>";

			$mxmfile = $val;
			if ($isPathweb == 1)
				$mxmfile = $val_root."/".$val;

			// echo $mxmfile."<br>";
			if (file_exists($mxmfile))
			{
				// echo $mxmfile."<br>";
				// echo "<br><br>$cle : $val";

				$infofile = $tab_infofile[$cle];
				if ( ($tab_infofile[$cle] != "EMPTY") && ($isPathweb == 1) )
					$infofile = $val_root."/".$infofile;

				// echo $infofile."<br>";

				$tab_MOD[$iMOD]["MODROOTNAME"]	= $val_root;
				$tab_MOD[$iMOD]["MODVERSION"]	= GetMODVersion($mxmfile);

				// Retreive the name

				$tab_MOD[$iMOD]["MODNAME"]		= GetNameFromHtml($mxmfile);
				if ( ($tab_MOD[$iMOD]["MODNAME"] == FALSE) && ($infofile != "EMPTY") )
					$tab_MOD[$iMOD]["MODNAME"]		= GetNameFromHtml($infofile);

				// Retreive the category
				$tab_MOD[$iMOD]["MODTYPE"]	= GetTagFromInfo($infofile, "MXMTYPE");
				if ( $tab_MOD[$iMOD]["MODTYPE"] != FALSE ) {
					$comps = explode(",", $tab_MOD[$iMOD]["MODTYPE"] );
					while ( list ( $id, $comp ) = each( $comps ) ) {
						$tab_MOD[$iMOD][ trim( $comp ) ] = 1;
						if ( in_array( trim( $comp ), $typeSort ) == FALSE )
							array_push( $typeSort, trim( $comp ) );
					}
				} else {
					$tab_MOD[$iMOD][ "MODTYPE" ]	= "Others";
					$tab_MOD[$iMOD][ "Others" ] = 1;
					if ( in_array( "Others", $typeSort ) == FALSE )
						array_push( $typeSort, "Others" );
				}

				
				// Retreive compatibilities
				$tab_MOD[$iMOD]["MODCOMP"]	= GetTagFromInfo($infofile, "MODCOMP");
				//echo "COMP: ".$tab_MOD[$iMOD]["MODCOMP"]."<br>";
				if ( $tab_MOD[$iMOD]["MODCOMP"] != FALSE ) {
					$comps = explode(",", $tab_MOD[$iMOD]["MODCOMP"] );
					while ( list ( $id, $comp ) = each( $comps ) ) {
						$tab_MOD[$iMOD][ trim( $comp ) ] = 1;
					}
				}

				if ( $tab_MOD[$iMOD]["MODNAME"] == "" )
					$tab_MOD[$iMOD]["MODNAME"] = $tab_MOD[$iMOD]["MODROOTNAME"];
				
				
				
				// print_r($tab_MOD[$iMOD]);
				
				$iMOD++;
			}
		}

		// Check if we found more than 1 type different from "Others" else can only do alpha sorting
//		if ( count($typeSort) == 1 && strcmp($typeSort[0],"Others")==0 )
//			$isAlpha = 1;
			//echo "Alpha is forced to 1 because to types have been found<br>";
		
		// print_r($typeSort);

		usort($typeSort, "compare");
		usort($tab_MOD, "compare_mxm");

		?>
		


		<?php
		if ( $isAlpha == 1 ) {
		?>
		
		
			<table class="cat_tab">
			<tr class="cat_topbar"><td>All MXMs sorted by names</td></tr>
			</table>

			<table class="cat_tab">
			<tr class="cat_title">
				<td></td>
				<td class="comp_type">Showmaster ST</td>
				<td class="comp_type">Showmaster Pro</td>
				<td class="comp_type">Showmaster iPro</td>
				<td class="comp_type">Manager Pro</td>
				<td class="comp_type">Manager Lite</td>
				<?php if ($isDownload) { ?>
				<td></td>
				<?php } ?>
			</tr>

			<?php
				$iMODIndex		= 0;

				while ( $iMODIndex < $iMOD ) {
					$val		= $tab_MOD[$iMODIndex];

					$root		= isset($val) ? $val["MODROOTNAME"] : "";
					$mxmname	= isset($val) ? $val["MODNAME"] : "";
					$mxmver		= "";
					if (isset($val) && array_key_exists("MODVERSION", $val))
						$mxmver = $val["MODVERSION"];
			?>

				<tr class="cat_line">
					<td class="cat_mxmlink">
						<a href="<?php if (!$isPathweb) echo "$root.htm"; else echo "$root/$root.htm";?>" >> <?php echo "$mxmname $mxmver" ?></a>
					</td>
					<td class="check_mark"><?php if ( isset($tab_MOD[ $iMODIndex ][ "SWMST" ]) && $tab_MOD[ $iMODIndex ][ "SWMST" ] == 1 ) echo '<img src="menu_files/checkmark3.png">'; else echo "-";?></td>
					<td class="check_mark"><?php if ( isset($tab_MOD[ $iMODIndex ][ "SWMPRO" ]) && $tab_MOD[ $iMODIndex ][ "SWMPRO" ] == 1 ) echo '<img src="menu_files/checkmark3.png">'; else echo "-";?></td>
					<td class="check_mark"><?php if ( isset($tab_MOD[ $iMODIndex ][ "SWMIPRO" ]) && $tab_MOD[ $iMODIndex ][ "SWMIPRO" ] == 1 ) echo '<img src="menu_files/checkmark3.png">'; else echo "-";?></td>
					<td class="check_mark"><?php if ( isset($tab_MOD[ $iMODIndex ][ "MNGPRO" ]) && $tab_MOD[ $iMODIndex ][ "MNGPRO" ] == 1 ) echo '<img src="menu_files/checkmark3.png">'; else echo "-";?></td>
					<td class="check_mark"><?php if ( isset($tab_MOD[ $iMODIndex ][ "MNGLITE" ]) && $tab_MOD[ $iMODIndex ][ "MNGLITE" ] == 1 ) echo '<img src="menu_files/checkmark3.png">'; else echo "-";?></td>
					<?php if ( $isDownload && ( ( isset($tab_MOD[ $iMODIndex ][ "MNGPRO" ]) && $tab_MOD[ $iMODIndex ][ "MNGPRO" ] == 1 ) || ( isset($tab_MOD[ $iMODIndex ][ "MNGLITE" ]) && $tab_MOD[ $iMODIndex ][ "MNGLITE" ] == 1 ) ) ) { ?>
					<td class="check_mark"><a href="<?php echo "../show_download/$root.zip" ?>"><img src="menu_files/download.gif" alt="Download" title="Download for Manager..." border=0></a></td>
					<?php } else {?>
					<td class="check_mark">&nbsp;</td>
					<?php }?>
				</tr>

			<?php
				$iMODIndex++;
			}
			?>
			</table>
			

		<?php
		} else {
		?>
		

			<table class="cat_tab">
			<tr class="cat_topbar"><td>All MXMs sorted by categories</td></tr>
			</table>

			<table class="cat_tab">
			<tr class="comp_type"><td></td><td></td><td></td><td></td><td></td><td></td>
				<?php if ($isDownload) { ?>
				<td></td>
				<?php } ?>
			</tr>

			<?php
				while ( list ( $id, $type ) = each( $typeSort ) ) {
			?>
				<tr class="cat_title"><td ><b><?php echo $type; ?></b></td>
						<td class="comp_type">Showmaster ST</td>
						<td class="comp_type">Showmaster Pro</td>
						<td class="comp_type">Showmaster iPro</td>
						<td class="comp_type">Manager Pro</td>
						<td class="comp_type">Manager Lite</td>
					<?php if ($isDownload) { ?>
					<td></td>
					<?php } ?>
				</tr>
			<?php

					$iMODIndex		= 0;

					while ( $iMODIndex < $iMOD ) {
						
						if ( isset( $tab_MOD[ $iMODIndex ][ $type ]) && $tab_MOD[ $iMODIndex ][ $type ] == 1 ) {
						
							$val		= $tab_MOD[$iMODIndex];

							$root		= isset($val) ? $val["MODROOTNAME"] : "";
							$mxmname	= isset($val) ? $val["MODNAME"] : "";
							$mxmver		= "";
							if (isset($val) && array_key_exists("MODVERSION", $val))
								$mxmver = $val["MODVERSION"];
				?>

						<tr class="cat_line">
							<td class="cat_mxmlink">
								<a href="<?php if (!$isPathweb) echo "$root.htm"; else echo "$root/$root.htm";?>" >> <?php echo "$mxmname $mxmver" ?></a>
							</td>
							<td class="check_mark"><?php if ( isset($tab_MOD[ $iMODIndex ][ "SWMST" ]) && $tab_MOD[ $iMODIndex ][ "SWMST" ] == 1 ) echo '<img src="menu_files/checkmark3.png">'; else echo "-";?></td>
							<td class="check_mark"><?php if ( isset($tab_MOD[ $iMODIndex ][ "SWMPRO" ]) && $tab_MOD[ $iMODIndex ][ "SWMPRO" ] == 1 ) echo '<img src="menu_files/checkmark3.png">'; else echo "-";?></td>
							<td class="check_mark"><?php if ( isset($tab_MOD[ $iMODIndex ][ "SWMIPRO" ]) && $tab_MOD[ $iMODIndex ][ "SWMIPRO" ] == 1 ) echo '<img src="menu_files/checkmark3.png">'; else echo "-";?></td>
							<td class="check_mark"><?php if ( isset($tab_MOD[ $iMODIndex ][ "MNGPRO" ]) && $tab_MOD[ $iMODIndex ][ "MNGPRO" ] == 1 ) echo '<img src="menu_files/checkmark3.png">'; else echo "-";?></td>
							<td class="check_mark"><?php if ( isset($tab_MOD[ $iMODIndex ][ "MNGLITE" ]) && $tab_MOD[ $iMODIndex ][ "MNGLITE" ] == 1 ) echo '<img src="menu_files/checkmark3.png">'; else echo "-";?></td>
							<?php if ( $isDownload && ( ( isset($tab_MOD[ $iMODIndex ][ "MNGPRO" ]) && $tab_MOD[ $iMODIndex ][ "MNGPRO" ] == 1 ) || ( isset($tab_MOD[ $iMODIndex ][ "MNGLITE" ]) && $tab_MOD[ $iMODIndex ][ "MNGLITE" ] == 1 ) ) ) { ?>
							<td class="check_mark"><a href="<?php echo "../show_download/$root.zip" ?>"><img src="menu_files/download.gif" alt="Download" title="Download for Manager..." border=0></a></td>
							<?php } else {?>
							<td class="check_mark">&nbsp;</td>
							<?php }?>
						</tr>

				<?php
						}
						$iMODIndex++;
					}
				}
			?>
			</table>		
		
		
		<?php
		}
		?>

		<div id="mxm_addons">

		</div>

	</div>

	</td></tr>
	</table>

</div>
</div>
</body>
</html>

